/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PROFILEOPENVPNOPTIONS_H
#define PROFILEOPENVPNOPTIONS_H

#include "profileopenvpnoptionsbase.h"
#include <tqwidget.h>

/**
@author Christoph Thielecke
*/
class ProfileOpenvpnOptions : public ProfileOpenvpnOptionsBase
{
Q_OBJECT
  
public:
	ProfileOpenvpnOptions(TQWidget *parent);
	~ProfileOpenvpnOptions();
	bool dialogModified;

public slots:
    void userdefinedPortToggled(bool);
    void useNsCertTypeToggled(bool);
    void useUserdefiniedCipherToggled(bool);
    void useTlsAuthToggled(bool);
    void useTlsRemoteHostToggled(bool);
    void userdefinedRemotePortToggled(bool);
    void userdefiniedPacketSizeToggled(bool);
    void userdefiniedFragmentationSizeToggled(bool);
    void authenticateWithUsernameAndPasswordToggled(bool);
    void useAuthenticationAlgorithmToggled(bool);
    void tunnelPingRestartToggeled(bool);
    void tunnelPingToggeled(bool);
    void renegSecToggled(bool);


private slots:
	void dialogChanged();

signals:
	void changed();

};

#endif
